Bug 699269 - SELinux is preventing /usr/sbin/sshd from using the getcap access on itself
Summary: SELinux is preventing /usr/sbin/sshd from using the getcap access on itself
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-24 19:59 UTC by Ian Pilcher
Modified: 2011-06-24 03:54 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:49 UTC


Attachments (Terms of Use)

Description Ian Pilcher 2011-04-24 19:59:37 UTC
SELinux is preventing /usr/sbin/sshd from using the getcap access on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that sshd should be allowed getcap access on processes labeled sshd_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sshd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Objects                Unknown [ process ]
Source                        sshd
Source Path                   /usr/sbin/sshd
Port                          <Unknown>
Host                          ian.icp.selfip.net
Source RPM Packages           openssh-server-5.6p1-30.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-16.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     ian.icp.selfip.net
Platform                      Linux ian.icp.selfip.net 2.6.38.3-18.fc15.x86_64
                              #1 SMP Fri Apr 22 13:24:23 UTC 2011 x86_64 x86_64
Alert Count                   5
First Seen                    Sun 24 Apr 2011 02:46:58 PM CDT
Last Seen                     Sun 24 Apr 2011 02:51:21 PM CDT
Local ID                      5def3b3e-4ce2-40eb-b0e1-72d0156b566d

Raw Audit Messages
type=AVC msg=audit(1303674681.386:205): avc:  denied  { getcap } for  pid=12104 comm="sshd" scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1303674681.386:205): arch=x86_64 syscall=capget success=no exit=EACCES a0=7ff3578bf8a4 a1=7ff3578bf8ac a2=7ff3547591e0 a3=0 items=0 ppid=2006 pid=12104 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=500 fsgid=0 tty=(none) ses=8 comm=sshd exe=/usr/sbin/sshd subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)

Hash: sshd,sshd_t,sshd_t,process,getcap

audit2allow

#============= sshd_t ==============
allow sshd_t self:process getcap;

audit2allow -R

#============= sshd_t ==============
allow sshd_t self:process getcap;

Comment 1 Daniel Walsh 2011-04-25 13:09:26 UTC
There is no reason to block this, although it is strange we have not seen it before.

Comment 2 Daniel Walsh 2011-04-25 13:09:48 UTC
Miroslav lets backport to RHEL6 also.

Comment 3 Miroslav Grepl 2011-04-26 07:31:25 UTC
Fixed in selinux-policy-3.9.16-17.fc15

Comment 4 Fedora Update System 2011-06-10 10:50:29 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 5 Fedora Update System 2011-06-11 04:29:45 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-21 17:31:47 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-24 03:53:18 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.